org.apache.cassandra.index.sasi.disk

## Class AbstractTokenTreeBuilder.Node

- java.lang.Object
- - org.apache.cassandra.index.sasi.disk.AbstractTokenTreeBuilder.Node

Direct Known Subclasses:
  AbstractTokenTreeBuilder.InteriorNode, AbstractTokenTreeBuilder.Leaf

Enclosing class:
  AbstractTokenTreeBuilder

    protected abstract class AbstractTokenTreeBuilder.Node
    extends java.lang.Object

### Field Summary

Fields
`protected AbstractTokenTreeBuilder.Node` `next`
`protected java.lang.Long` `nodeMaxToken`
`protected java.lang.Long` `nodeMinToken`
`protected AbstractTokenTreeBuilder.InteriorNode` `parent`

### Constructor Summary

Constructors
Constructor and Description
`Node(java.lang.Long minToken, java.lang.Long maxToken)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract int` `childCount()`
`protected boolean` `isLastLeaf()`
`boolean` `isLeaf()`
`protected boolean` `isRoot()`
`abstract boolean` `isSerializable()`
`java.lang.Long` `largestToken()`
`java.util.Iterator<AbstractTokenTreeBuilder.Node>` `levelIterator()`
`abstract void` `serialize(long childBlockIndex, java.nio.ByteBuffer buf)`
`protected void` `serializeHeader(java.nio.ByteBuffer buf)`
`java.lang.Long` `smallestToken()`
`abstract int` `tokenCount()`
`protected void` `updateTokenRange(long token)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### parent

    protected AbstractTokenTreeBuilder.InteriorNode parent

#### next

    protected AbstractTokenTreeBuilder.Node next

#### nodeMinToken

    protected java.lang.Long nodeMinToken

#### nodeMaxToken

    protected java.lang.Long nodeMaxToken

### Constructor Detail

#### Node

    public Node(java.lang.Long minToken,
                java.lang.Long maxToken)

### Method Detail

#### isSerializable

    public abstract boolean isSerializable()

#### serialize

    public abstract void serialize(long childBlockIndex,
                                   java.nio.ByteBuffer buf)

#### childCount

    public abstract int childCount()

#### tokenCount

    public abstract int tokenCount()

#### smallestToken

    public java.lang.Long smallestToken()

#### largestToken

    public java.lang.Long largestToken()

#### levelIterator

    public java.util.Iterator<AbstractTokenTreeBuilder.Node> levelIterator()

#### isLeaf

    public boolean isLeaf()

#### isLastLeaf

    protected boolean isLastLeaf()

#### isRoot

    protected boolean isRoot()

#### updateTokenRange

    protected void updateTokenRange(long token)

#### serializeHeader

    protected void serializeHeader(java.nio.ByteBuffer buf)